Plugin Directory

!This plugin hasn’t been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

The Blackest Box's Widgets

3 advanced widgets, which replace the default Recent Posts, Recent Comments and Text widget.

3 advanced widgets for your WordPress!

TBB's Recent Posts


  • CSS class.
  • Query variables, like tags, categories and post type.
  • Thumbnail customization.
  • Content customization.

TBB's Recent Comments


  • CSS class.
  • Query variables, like status, type and post type.
  • Avatar customization.
  • Content customization.

TBB's Text


  • CSS class.
  • PHP mode
  • HTML mode with shortcodes.

Requires: 3.0.1 or higher
Compatible up to: 3.8.16
Last Updated: 3 years ago
Active Installs: Less than 10


5 out of 5 stars


Got something to say? Need help?


Not enough data

0 people say it works.
0 people say it's broken.